<?php
/**
 * BB Mobile Application : Block Patterns
 *
 * @package  BB Mobile Application 
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'bb-mobile-application',
		array( 'label' => __( ' BB Mobile Application ', 'bb-mobile-application' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'bb-mobile-application/banner-section',
		array(
			'title'      => __( 'Banner Section', 'bb-mobile-application' ),
			'categories' => array( 'bb-mobile-application' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/banner.png\",\"id\":265,\"dimRatio\":60,\"overlayColor\":\"black\",\"focalPoint\":{\"x\":\"0.47\",\"y\":\"0.46\"},\"minHeight\":600,\"minHeightUnit\":\"px\",\"align\":\"full\",\"className\":\"banner-section\"} -->\n<div class=\"wp-block-cover alignfull banner-section\" style=\"min-height:600px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-60 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-265\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/banner.png\" style=\"object-position:47% 46%\" data-object-fit=\"cover\" data-object-position=\"47% 46%\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"40%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:40%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"style\":{\"typography\":{\"fontSize\":\"35px\"}}} -->\n<h1 class=\"has-text-align-center\" style=\"font-size:35px\">LOREM IPSUM IPIS</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"15px\"}}} -->\n<p class=\"has-text-align-center\" style=\"font-size:15px\">lorem ipsum dolor sit amet consectetur adi</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"black\",\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"background\":\"#3ae0bf\"},\"border\":{\"radius\":\"0px\"}},\"className\":\"banner-section-btn\"} -->\n<div class=\"wp-block-button has-custom-font-size banner-section-btn\" style=\"font-size:15px\"><a class=\"wp-block-button__link has-black-color has-text-color has-background\" style=\"border-radius:0px;background-color:#3ae0bf\">KNOW MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"17.8%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:17.8%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'bb-mobile-application/features-section',
		array(
			'title'      => __( 'Features Section', 'bb-mobile-application' ),
			'categories' => array( 'bb-mobile-application' ),
			'content'    => "<!-- wp:group {\"className\":\"feature-section mt-md-5 mt-4\"} -->\n<div class=\"wp-block-group feature-section mt-md-5 mt-4\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"32px\"},\"color\":{\"text\":\"#4e4e4e\"}}} -->\n<h2 class=\"has-text-align-center has-text-color\" style=\"color:#4e4e4e;font-size:32px\">Lorem Ipsum Dolor</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"align\":\"center\",\"id\":302,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"feature-border \"} -->\n<figure class=\"wp-block-image aligncenter size-full feature-border\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/border.png\" alt=\"\" class=\"wp-image-302\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"mt-lg-5 mt-md-5\"} -->\n<div class=\"wp-block-columns mt-lg-5 mt-md-5\"><!-- wp:column {\"className\":\"feature-content\"} -->\n<div class=\"wp-block-column feature-content\"><!-- wp:columns {\"className\":\"feature-box\"} -->\n<div class=\"wp-block-columns feature-box\"><!-- wp:column {\"width\":\"8%\",\"className\":\"feature-image\"} -->\n<div class=\"wp-block-column feature-image\" style=\"flex-basis:8%\"><!-- wp:image {\"id\":275,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"feature-image\"} -->\n<figure class=\"wp-block-image size-full feature-image\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/feature-image1.png\" alt=\"\" class=\"wp-image-275\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"18px\"},\"color\":{\"text\":\"#717171\"}}} -->\n<h3 class=\"has-text-color\" style=\"color:#717171;font-size:18px\">Lorem Ipsum</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"color\":{\"text\":\"#717171\"}},\"className\":\"feature-text\"} -->\n<p class=\"has-text-align-left feature-text has-text-color\" style=\"color:#717171;font-size:14px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting. Lorem Ipsum&nbsp;is simply dummy </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"feature-box mt-md-4\"} -->\n<div class=\"wp-block-columns feature-box mt-md-4\"><!-- wp:column {\"width\":\"8%\",\"className\":\"feature-image\"} -->\n<div class=\"wp-block-column feature-image\" style=\"flex-basis:8%\"><!-- wp:image {\"id\":276,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"feature-image\"} -->\n<figure class=\"wp-block-image size-full feature-image\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/feature-image2.png\" alt=\"\" class=\"wp-image-276\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"level\":3,\"style\":{\"color\":{\"text\":\"#717171\"},\"typography\":{\"fontSize\":\"18px\"}}} -->\n<h3 class=\"has-text-color\" style=\"color:#717171;font-size:18px\">Lorem Ipsum</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"color\":{\"text\":\"#717171\"}},\"className\":\"feature-text\"} -->\n<p class=\"has-text-align-left feature-text has-text-color\" style=\"color:#717171;font-size:14px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting Lorem Ipsum&nbsp;is simply dummy </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"align\":\"center\",\"id\":278,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/mobile.png\" alt=\"\" class=\"wp-image-278\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"feature-content\"} -->\n<div class=\"wp-block-column feature-content\"><!-- wp:columns {\"className\":\"feature-box\"} -->\n<div class=\"wp-block-columns feature-box\"><!-- wp:column {\"width\":\"8%\",\"className\":\"feature-image\"} -->\n<div class=\"wp-block-column feature-image\" style=\"flex-basis:8%\"><!-- wp:image {\"id\":279,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"feature-image\"} -->\n<figure class=\"wp-block-image size-full feature-image\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/feature-image3.png\" alt=\"\" class=\"wp-image-279\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"level\":3,\"style\":{\"color\":{\"text\":\"#717171\"},\"typography\":{\"fontSize\":\"18px\"}}} -->\n<h3 class=\"has-text-color\" style=\"color:#717171;font-size:18px\">Lorem Ipsum</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"color\":{\"text\":\"#717171\"}},\"className\":\"feature-text\"} -->\n<p class=\"has-text-align-left feature-text has-text-color\" style=\"color:#717171;font-size:14px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting Lorem Ipsum&nbsp;is simply dummy </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"feature-box mt-md-4\"} -->\n<div class=\"wp-block-columns feature-box mt-md-4\"><!-- wp:column {\"width\":\"8%\",\"className\":\"feature-image\"} -->\n<div class=\"wp-block-column feature-image\" style=\"flex-basis:8%\"><!-- wp:image {\"id\":280,\"width\":29,\"height\":29,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"feature-image\"} -->\n<figure class=\"wp-block-image size-full is-resized feature-image\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/feature-image4.png\" alt=\"\" class=\"wp-image-280\" width=\"29\" height=\"29\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"level\":3,\"style\":{\"color\":{\"text\":\"#717171\"},\"typography\":{\"fontSize\":\"18px\"}}} -->\n<h3 class=\"has-text-color\" style=\"color:#717171;font-size:18px\">Lorem Ipsum</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"style\":{\"color\":{\"text\":\"#717171\"},\"typography\":{\"fontSize\":\"14px\"}},\"className\":\"feature-text\"} -->\n<p class=\"has-text-align-left feature-text has-text-color\" style=\"color:#717171;font-size:14px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting Lorem Ipsum&nbsp;is simply dummy </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
}